# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Data Structures | Public Member Functions
Operator Class Reference

## Data Structures

class | Constraint

## Public Member Functions

const std::map< std::string, Constraint * > & | getConstraints ()
| returns the map of operator's constraints.
const std::string & | getName ()
| returns the name of the operator.
const std::string & | getSimulModel ()
| returns the SimulModel of the operator.
bool | hasNoConstraints ()
| returns true if operator has no Constraint.
| Operator (const std::string &operatorName, const std::string &simulModel)
| creates a new operator. More...

## Detailed Description

This class describes an operator of a sizing procedure.

## Constructor & Destructor Documentation

## ◆ Operator()

Operator | ( | const std::string & | operatorName,
|  | const std::string & | simulModel
| ) |  |

creates a new operator.

Parameters

  name | the name of the operator.
  simulModel | the simulation model of the operator.
  callOrder | the call order of the operator in the sizing procedure.